#ifndef TOOLS_INSPECTOR_H
#define TOOLS_INSPECTOR_H 1

/*
**  inspector.h
**
**  (C) Copyright 2001-2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Methods
*/

#define MTI_HexDump       -1
#define MTI_TextDump      -2
#define MTI_ListObjects   -3
#define MTI_ViewObject    -4
#define MTI_ListResources -5
#define MTI_About         -6
#define MTI_Help          -7
#define MTI_MemoryInfo    -8
#define MTI_ListMemory    -9
#define MTI_Tree          -10

struct mtHexDump {
   MEMORYID MemoryID;
   LONG Length;
};

struct mtMemoryInfo {
   MEMORYID MemoryID;
};

struct mtTextDump {
   MEMORYID MemoryID;
   LONG Length;
};

struct mtViewObject {
   OBJECTID ObjectID;
};

struct mtListResources {
   OBJECTID ObjectID;
};

struct mtTree {
   OBJECTID ObjectID;
   STRING Name;
};

#endif /* TOOLS_INSPECTOR_H */